Loading...
Searching...
No Matches
ncSAFormula.h File Reference
`#include "polys/monomials/ring.h"`
`#include "polys/nc/nc.h"`

Go to the source code of this file.

## Data Structures

class | CFormulaPowerMultiplier

## Enumerations

enum | Enum_ncSAType { _ncSA_notImplemented = -1 , _ncSA_1xy0x0y0 = 0x00 , _ncSA_Mxy0x0y0 = 0x01 , _ncSA_Qxy0x0y0 = 0x02 , _ncSA_1xyAx0y0 = 0x10 , _ncSA_1xy0xBy0 = 0x20 , _ncSA_1xy0x0yG = 0x30 , _ncSA_1xy0x0yT2 = 0x100 }

## Functions

bool | ncInitSpecialPowersMultiplication (ring r)
static CFormulaPowerMultiplier * | GetFormulaPowerMultiplier (const ring r)

## Enumeration Type Documentation

## Enum_ncSAType

enum Enum_ncSAType

Enumerator
_ncSA_notImplemented |
_ncSA_1xy0x0y0 |
_ncSA_Mxy0x0y0 |
_ncSA_Qxy0x0y0 |
_ncSA_1xyAx0y0 |
_ncSA_1xy0xBy0 |
_ncSA_1xy0x0yG |
_ncSA_1xy0x0yT2 |

Definition at line 15 of file ncSAFormula.h.

{
_ncSA_notImplemented = -1,
_ncSA_1xy0x0y0 = 0x00, // commutative
_ncSA_Mxy0x0y0 = 0x01, // anti-commutative
_ncSA_Qxy0x0y0 = 0x02, // quasi-commutative
_ncSA_1xyAx0y0 = 0x10, // shift 1
_ncSA_1xy0xBy0 = 0x20, // shift 2
_ncSA_1xy0x0yG = 0x30, // Weyl
_ncSA_1xy0x0yT2 = 0x100 // homogenized Weyl algebra?
};
_ncSA_1xy0x0yT2
@ _ncSA_1xy0x0yT2
Definition ncSAFormula.h:24
_ncSA_Mxy0x0y0
@ _ncSA_Mxy0x0y0
Definition ncSAFormula.h:19
_ncSA_1xyAx0y0
@ _ncSA_1xyAx0y0
Definition ncSAFormula.h:21
_ncSA_1xy0x0yG
@ _ncSA_1xy0x0yG
Definition ncSAFormula.h:23
_ncSA_Qxy0x0y0
@ _ncSA_Qxy0x0y0
Definition ncSAFormula.h:20
_ncSA_notImplemented
@ _ncSA_notImplemented
Definition ncSAFormula.h:17
_ncSA_1xy0x0y0
@ _ncSA_1xy0x0y0
Definition ncSAFormula.h:18
_ncSA_1xy0xBy0
@ _ncSA_1xy0xBy0
Definition ncSAFormula.h:22

## Function Documentation

## GetFormulaPowerMultiplier()

CFormulaPowerMultiplier * GetFormulaPowerMultiplier | ( | const ring | r | ) |

inline static

Definition at line 93 of file ncSAFormula.h.

{
return r->GetNC()->GetFormulaPowerMultiplier();
}

## ncInitSpecialPowersMultiplication()

bool ncInitSpecialPowersMultiplication | ( | ring | r | ) |

Definition at line 50 of file ncSAFormula.cc.

{
#if OUTPUT
PrintS("ncInitSpecialPowersMultiplication(ring), ring: \n");
rWrite(r, TRUE);
PrintLn();
#endif
assume(rIsPluralRing(r));
assume(!rIsSCA(r));
if( r->GetNC()->GetFormulaPowerMultiplier() != NULL )
{
WarnS("Already defined!");
return false;
}
r->GetNC()->GetFormulaPowerMultiplier() = new CFormulaPowerMultiplier(r);
return true;
}
TRUE
#define TRUE
Definition auxiliary.h:101
CFormulaPowerMultiplier
Definition ncSAFormula.h:28
WarnS
#define WarnS
Definition emacs.cc:78
rIsSCA
static bool rIsSCA(const ring r)
Definition nc.h:190
assume
#define assume(x)
Definition mod2.h:389
NULL
#define NULL
Definition omList.c:12
PrintS
void PrintS(const char *s)
Definition reporter.cc:288
PrintLn
void PrintLn()
Definition reporter.cc:314
rWrite
void rWrite(ring r, BOOLEAN details)
Definition ring.cc:227
rIsPluralRing
static BOOLEAN rIsPluralRing(const ring r)
we must always have this test!
Definition ring.h:406